<?php get_header(); ?>

<div class="page">
<?php get_sidebar(); ?>

	<!-- start content -->
	<div id="content">
	<?php if (have_posts()) : ?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>

			<div class="item" onmouseover="this.className='item2'" onmouseout="this.className='item'">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

			<p><a href="<?php $values = get_post_custom_values("url"); echo $values[0]; ?>" title="<?php the_title(); ?>">
			<img src="<?php $values = get_post_custom_values("thumbs"); echo $values[0]; ?>" alt="<?php the_title(); ?>" /></a></p>

			<div class="clear"></div>
			<?php if(function_exists('the_ratings')) { the_ratings(); } ?>
			</div><!-- Item Div -->

		<?php endwhile; ?>

		<div class="clear"></div>

		<div class="nav"><?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?></div>


	<?php else : ?>

		<div class="details" onmouseover="this.className='details2'" onmouseout="this.className='details'">
		<h2>Sorry, nothing found! Try a different search?</h2>
		</div>

	<?php endif; ?>
</div><!-- End CONTENT Div -->
		


	<div class="clear"><!-- --></div>
	</div><!-- End PAGE Div -->
<?php get_footer(); ?>